# Administration Reference

## buserver

Purpose

Initializes the Backup Server

Synopsis

    buserver [-database <database directory>]
             [-cellservdb <cell configuration directory>]
             [-resetdb]  [-noauth]  [-smallht]
             [-servers <list of ubik database servers>+]
             [-enable_peer_stats]  [-enable_process_stats]
             [-help]

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

Description

The buserver command initializes the Backup Server, which runs on database server machines and maintains the Backup Database. In the conventional configuration, the binary file is located in the /usr/afs/bin directory on a file server machine.

The buserver command is not normally issued at the command shell prompt, but rather placed into a database server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a file server machine as the local superuser root.

As it initializes, the Backup Server process creates the two files that constitute the Backup Database, bdb.DB0 and bdb.DBSYS1, in the /usr/afs/db directory if they do not already exist. The Backup Database houses information about volume sets and entries, the dump hierarchy, Tape Coordinators, and previously performed dump sets. Use the commands in the backup suite to administer the database.

The Backup Server records a trace of its activity in the /usr/afs/logs/BackupLog file. Use the bos getlog command to display the contents of the file.

Cautions

The buserver process reserves port 7021 for its use. Unexpected behavior can occur if another process tries to reserve this port while the buserver process is running.

Options

-database
  Specifies the pathname of an alternate directory for the Backup Database files, ending in a final slash (/). If this argument is not provided, the default is the /usr/afs/db directory.

-cellservdb
  Specifies the pathname of the directory from which the Backup Server reads in an alternate version of the CellServDB file. This argument is mandatory for correct functioning when the Backup Server is running on a subset of the cell's database server machines that is not a majority of the machines listed in the standard /usr/afs/etc/CellServDB file (which the Backup Server consults if this argument is not provided). It is not appropriate in any other circumstances.

-resetdb
  Removes all of the information in the Backup Database files in the /usr/afs/db directory, leaving zero-length versions of them. The backup operator must recreate the configuration entries in the database (for volume sets, the dump hierarchy and so on) before performing backup operations.

-noauth
  Establishes an unauthenticated connection between the issuer and the Backup Server, in which the Backup Server treats the issuer as the unprivileged user anonymous. It is useful only when authorization checking is disabled on the database server machine. In normal circumstances, the Backup Server allows only authorized (privileged) users to issue commands that affect or contact the Backup Database, and refuses to perform such an action even if the -noauth flag is used.

-smallht
  Directs the Backup Server to use smaller internal hash tables for the Backup Database, which reduces memory requirements but can make data access take longer.

-servers
  Specifies the database server machines on which to start the Backup Server. Use this argument if running the Backup Server on a subset of the database server machines that is not a majority of the machines listed in the /usr/afs/etc/CellServDB file.

-enable_peer_stats
  Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
  Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example bos create command creates a buserver process on the file server machine fs3.abc.com. It appears here on two lines only for legibility.

       % bos create -server fs3.abc.com -instance buserver  \
                    -type simple -cmd /usr/afs/bin/buserver

Privilege Required

The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

Related Information

BackupLog

BosConfig

CellServDB (server version)

bdb.DB0 and bdb.DBSYS1

backup

bos create

bos getlog

© IBM Corporation 2000. All Rights Reserved